{% extends "master.twig" %}

{% block title %}Log in{% endblock %}
{% block description %}SFNW Omnibus – log in{% endblock %}

{% block body %}
    <div class="row"></div>

    <div class="six wide column"></div>

    <div class="four wide computer fourteen wide tablet fifteen wide mobile column">

        {% if message is not empty %}
            <div class="ui {{ message.type }} message">
                <i class="close icon"></i>
                <div class="header">
                    {{ message.header }}
                </div>
                {{ message.body }}
            </div>
        {% endif %}

        <form class="ui raised segment form" action="/login" method="post">
            <div class="field">
                <label>Login</label>
                <input name="login" placeholder="Login" type="text" required>
            </div>

            <div class="field">
                <label>Password</label>
                <div class="ui action input">
                    <input name="password" type="password" id="pass" required>
                    <button class="ui icon button" type="button" data-content="Show/hide password" id="showhide"
                            onclick="toggle_password('pass')">
                        <i class="grey eye icon"></i>
                    </button>
                </div>
                Can't remember password? <a href="/restore">Restore it!</a>
            </div>

            <div class="field">
                <div class="ui checkbox">
                    <input type="checkbox" tabindex="0" name="remember" class="hidden">
                    <label>Remember me</label>
                </div>
            </div>

            <input type="hidden" name="token" value="{{ token }}">

            <button class="ui fluid button" type="submit">Login</button>
        </form>

    </div>

    <div class="six wide column"></div>

    <script async src="{{ asset('assets/js/showpass.min.js') }}"></script>

{% endblock %}
